package com.red.circle.wallet.app.service;

import com.red.circle.common.business.dto.cmd.AppExtCommand;
import com.red.circle.common.business.dto.cmd.app.AppUserIdCmd;
import com.red.circle.wallet.app.dto.clientobject.BeanToGoldCO;
import java.math.BigDecimal;

/**
 * 豆子钱包.
 *
 * @author pengliang on 2023/9/19
 */
public interface WalletBeanService {

  BigDecimal getBalance(AppUserIdCmd cmd);

  BeanToGoldCO exchangeGold(AppExtCommand cmd);

  BeanToGoldCO getExchange(AppExtCommand cmd);

}
